// =============================================================================
// Copyright INRIA 2008
// Copyright DIGITEO 2010 - 2011
// Samuel GOUGEON
// =============================================================================

function build_serial()

    TOOLBOX_NAME = "serial"
    TOOLBOX_TITLE= "Serial Communication Toolbox"
    toolbox_dir  = get_absolute_file_path("builder.sce")
    
    // Check Scilab's version
    // ======================
     try
         v = getversion("scilab");
     catch
         error(gettext("Scilab 5.2 or more is required."));
     end

    // Check development_tools module avaibility
    // =========================================
    if ~with_module('development_tools') then
        error(msprintf(gettext('%s module not installed.'),'development_tools'));
    end

    // Action
    // ======
    if v(1) >= 6 then
        tbx_build_loader(toolbox_dir)
        tbx_build_cleaner(toolbox_dir)
    else
        tbx_build_loader(TOOLBOX_NAME, toolbox_dir)
        tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir)
    end
    tbx_builder_macros(toolbox_dir);
    tbx_builder_help(toolbox_dir);
endfunction

build_serial()
clear build_serial
